Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517621 - [RFE] Update the procedures on backing up and restoring Capsule Server
Summary: [RFE] Update the procedures on backing up and restoring Capsule Server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Server Administration Guide
Version: 6.2.12
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.2
Assignee: Michaela Slaninkova
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On: 1509425
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 05:49 UTC by Andrew Dahms
Modified: 2018-12-06 20:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 22:52:19 UTC


Attachments (Terms of Use)

Description Andrew Dahms 2017-11-27 05:49:26 UTC
The Red Hat Satellite 6.2.13 release is set to add support for backing up and restoring Capsule Servers using the katello-backup and katello-restore scripts.

The "Backing Up Capsule Servers" and "Restoring Capsule Servers" sections of the Satellite 6.2 Server Administration Guide must be removed, and the sections on backing up and restoring Satellite Server updated so that they refer to both Satellite Server and Capsule Server.

Comment 1 Andrew Dahms 2017-11-27 05:51:00 UTC
Assigning to Misa for review.

Misa - let's check in with John Mitsch to make sure my assumptions above that the same instructions will now work for both is correct.

Comment 2 Michaela Slaninkova 2017-11-28 10:56:04 UTC
Hello John,

Could you please confirm that what Andrew wrote in the description of this bug is correct?

Thank you.

Comment 3 John Mitsch 2017-11-28 15:08:56 UTC
Yes, that is correct, one can backup capsules with 6.2.13 using katello-backup and katello-restore and the backup/restore section should be updated to reflect that. 

However, the previous method of restoring your capsule (by resyncing) is still supported and correct.

Comment 4 Michaela Slaninkova 2017-11-28 16:00:10 UTC
John, thank you for the clarification.
__________________

Andrew,

So I assume I should update the sections *5.1. Backing up Red Hat Satellite Server* and *5.2. Restoring Red Hat Satellite Server from a Backup* to refer both to Satellite Server and Capsule Server. 

What about *5.3. Backing Up Capsule Servers* and *5.4. Restoring Capsule Servers*? As John wrote, the method is still supported. I might just slightly update the sections and write that Capsules can be backed up and restored as explained in the previous sections or by the method explained below. What do you think?


Thank you.

Comment 5 Andrew Dahms 2017-11-29 00:06:16 UTC
Hi Misa,

Thank you for your needinfo request.

It sounds like we might need to do the following -

* Update the sections on backing up and restoring Satellite Server to mention
  that they apply to Capsule Server as well as initially planned.

* Remove the opening text to the section on backing up Capsule Server that
  states that there are no specific tools available.

* Make the two procedures specific only to Capsule Server sub-sections of
  a section titled something like 'Backing Up and Restoring Capsule Server
  Using a Snapshot', and adding a one or two line introduction on why
  users might want to do this instead of using katello-backup.

  Two reasons that come to mind are -

  * katello-backup backs up the data rather than the full machine itself,
    separating configuration from the entire virtual machine and making it
    more easily storable.
  * Snapshots apply to virtual machines.

Long story short, I agree with your direction. What do you think of the above organization?

Let me know if you have any questions.

Comment 6 Michaela Slaninkova 2017-11-29 12:41:22 UTC
Hi Andrew,

Thank you for your response, I fully agree with the proposed organization of sections and I will apply it. I have one more question: Should I apply these changes to 6.3 as well?

Thanks,
Misa


Note You need to log in before you can comment on or make changes to this bug.